using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using TAPI; 

namespace CribMod.Items
{
    public class Base : ModBase
    {
		public override void ChooseTrack(ref string current)
		{
		if(Main.gameMenu)
			{
			return;
			}
			if(NPC.AnyNPCs("CribMod:HyperBuddy"))
			{
			current = "Vanilla:Music_25"; 
			}
			if(NPC.AnyNPCs("CribMod:ThanatosDragonBoss") || NPC.AnyNPCs("CribMod:LandSharkLeaderBoss"))
			{
			current = "Vanilla:Music_17"; 
			}
			if(NPC.AnyNPCs("CribMod:CometRiderBoss") || NPC.AnyNPCs("CribMod:EATEROFWORLDSHeadBoss"))
			{
			current = "Vanilla:Music_12"; 
			}
			if(NPC.AnyNPCs("CribMod:ChillDragonBoss"))
			{
			current = "Vanilla:Music_13"; 
			}
			if(NPC.AnyNPCs("CribMod:SugarOverdoseFairyBoss"))
			{
			current = "Vanilla:Music_24"; 
			}
			if(NPC.AnyNPCs("CribMod:WimpytheScarecrowBoss"))
			{
			current = "Vanilla:Music_1"; 
			}
			if(NPC.AnyNPCs("CribMod:OversizedBoneSerpentHeadBoss"))
			{
			current = "Vanilla:Music_2"; 
			}
		}

        	public override void OnLoad() //This will call the code when you load up the game.
        	{
            		Recipe.newRecipe.createItem.SetDefaults(74, false); //This is where the item you want to add a recipe to goes. "1309" is the ID of the Slime Staff.
            		Recipe.newRecipe.createItem.stack = 999; //This is how many are produced by this recipe.
            		Recipe.newRecipe.requiredItem.Add(new Item().SetDefaults(ItemDef.byName["CribMod:PlatinumBroadsword"].type, false)); //This is the first item used in the recipe. "9" is the ID for Wood.
            		Recipe.newRecipe.requiredItem[0].stack = 1; //This is how much Wood we need, 15. the [0] notes that this is the first material in the recipe.
            		Recipe.newRecipe.requiredTile.Add(16); //This is where the crafting station you need goes. "18" is the ID for the Work Bench.
            		Recipe.AddRecipe(); //This tidbit of code adds the recipe into the game.
        	}
    }
}