using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace CribMod.Items
{
    public class RedKnightHelmC: ModItem
    {
        public override bool CanUse(Player P)
        {
	    if (NPC.AnyNPCs(NPCDef.byName["CribMod:TheCrimsonKnightBoss"].type))
            {
                return false;
            }
            else
            {
                return true;
            }
        }

        public override bool? UseItem(Player p) 
        {
            if(Main.netMode != 1)
              {
                //int mX = (int)(Main.screenPosition.X + Main.mouseX);
                //int mY = (int)(Main.screenPosition.Y + Main.mouseY);
                int npcID = NPC.NewNPC((int)p.Center.X + 1200, (int)p.Center.Y - 400, NPCDef.byName["CribMod:TheCrimsonKnightBoss"].type, 0);
                Main.NewText("Crimson Knight has arrived!", 175, 75, 255);
            }
            if(Main.netMode != 2)
            { 
                Main.PlaySound(2, (int)p.Center.X, (int)p.Center.Y, 0);
                Vector2 npcPos = p.position - new Vector2(0, 0);
                for (int m = 0; m < 15; m++)
                {
                    int dustID = Dust.NewDust(npcPos, p.width, p.height, 5, Main.rand.Next(-10, 10) * 1f, Main.rand.Next(-10, 10) * 1f, 100, Color.White, 3.5f);
                    Main.dust[dustID].noGravity = true;
                }
            }
			return true;
        }
    }
}
