using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace CribMod.Items
{
    public class StrandsofHay: ModItem
    {
        public override bool CanUse(Player P)
        {
	    if (NPC.AnyNPCs(NPCDef.byName["CribMod:WimpytheScarecrowBoss"].type))
            {
                return false;
            }
            if (Biome.Biomes["Surface"].Check(P))
            {
                return true;
            }
            else
            {
                Main.NewText("Item can only be used in the surface.", 255, 0, 0);
                return false;
            }
        }
        public override bool? UseItem(Player p) 
        {
            if(Main.netMode != 1)
              {
                //int mX = (int)(Main.screenPosition.X + Main.mouseX);
                //int mY = (int)(Main.screenPosition.Y + Main.mouseY);
                int npcID = NPC.NewNPC((int)p.Center.X + 1200, (int)p.Center.Y - 400, NPCDef.byName["CribMod:WimpytheScarecrowBoss"].type, 0);
                Main.NewText("Wimpy the Scarecrow has awoken!", 175, 75, 255);
            }
            if(Main.netMode != 2)
            { 
                Main.PlaySound(15, (int)p.Center.X, (int)p.Center.Y, 0);
            }
			return true;
        }
    }
}
