using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using TAPI; 

namespace CribMod.Items
{
public class FrostHydraCrownC : TAPI.ModItem
    	{     
        public float brightness = 0.7f;
        public override void Effects(Player p)
        {
            p.manaRegenDelayBonus += 1;
            p.statManaMax2 += 80;
            p.magicDamage += 0.05f;
            if(p.statLife <= (int)p.statLifeMax/4) 
            {
                if (Main.rand.Next(250) == 0) 
                {
                    Projectile.NewProjectile(p.position.X, p.position.Y, 0f, 0f, ProjDef.byName["Vanilla:Frost Hydra"].type, 100, 0f, p.whoAmI, 0f, 0f); //Parameters are in this order: (Projectile Origin Position X Coordinate, Projectile Origin Position Y Coordinate, Speed in the X Direction, Speed in the Y Direction, Projectile ID or name, Damage, Knockback, unknown Vector2, unknown float, unknown float)    
                }
            }
        }
   	}
}