using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using TAPI;
using Terraria;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace CribMod.Items
{
    public class BustaBalls: ModItem
    {
        public override void HoldStyle(Player P)
        {
            Main.chain3Texture = Main.goreTexture[GoreDef.gores["CribMod:BustaBallsChain"]];
        }
       public override bool PreShoot(Player player,Vector2 ShootPos,Vector2 ShootVelocity,int projType,int Damage,float knockback)
        {
            int ShotAmt = 4; 
            int spread = 7; 
            float spreadMult = 2.0f; //Multiplier for bullet spread, set it higher and it will make for some outrageous spread.
            for(int i = 0; i < ShotAmt; i++)
            {
                float vX = ShootVelocity.X+(float)Main.rand.Next(-spread,spread+1) * spreadMult;
                float vY = ShootVelocity.Y+(float)Main.rand.Next(-spread,spread+1) * spreadMult;

                Projectile.NewProjectile(ShootPos.X,ShootPos.Y,vX,vY,projType,Damage,knockback,Main.myPlayer);
            }
            return false;
        }

       	public override void UseItemEffects(Player player, Rectangle rectangle)
	{
		int dustID = Dust.NewDust(new Vector2((float)rectangle.X, (float)rectangle.Y), rectangle.Width, rectangle.Height, 6, (player.velocity.X * 0.2f) + (player.direction * 3), player.velocity.Y * 0.2f, 100, Color.Orange, 1.6f + (Main.rand.Next(15) * 0.1f));
		Main.dust[dustID].noGravity = true; 
	}
    }
}