using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using TAPI; 

namespace CribMod.Items
{
public class CrystalCometSwordC : ModItem
    {
        public Vector2 usePos = default(Vector2);

        public override bool PreShoot(Player player, Vector2 position, Vector2 velocity, int projType, int damage, float knockback)
        {			
            /*Grox's Code*/
            usePos = Main.mouseWorld - player.position;
            UseStyle(player);
            position.X = Main.mouseWorld.X; //Makes the position equal to your mouse
            position.X += MathHelper.Lerp(-120f, 120f, (float)Main.rand.NextDouble()); //Allows you have the projectile spawn at random in the x direction
            position.Y -= 500; //Make the projectile spawn 500 pixels above you (About 32 tiles)
            velocity.Y = (float)(item.shootSpeed); //Makes it fall down
            velocity.X = 0; //Makes it not stray from direct path to ground
            /*End of Grox's Code*/
			
            Projectile.NewProjectile(position.X, position.Y, velocity.X, velocity.Y, "CribMod:CometC", damage, knockback, player.whoAmI);
	
            return false;
        }

       	public override void UseItemEffects(Player player, Rectangle rectangle)
	{
		int dustID = Dust.NewDust(new Vector2((float)rectangle.X, (float)rectangle.Y), rectangle.Width, rectangle.Height, 63, (player.velocity.X * 0.2f) + (player.direction * 3), player.velocity.Y * 0.2f, 100, Color.White, 0.6f + (Main.rand.Next(15) * 0.1f));
		Main.dust[dustID].noGravity = true; 
	}
        public override void DamageNPC(Player owner, NPC npc, int hitDir, ref int damage, ref float knockback, ref bool crit, ref float critMult)  
        {
            npc.AddBuff (44, 3300, true); 
        }
		
    }
}