using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace CribMod.Items
{
    public class TerminateButton: ModItem
    {
        public override bool CanUse(Player P)
        {
	    if (NPC.AnyNPCs(NPCDef.byName["CribMod:QuadCannonBoss"].type))
            {
                return false;
            }
            else
            {
                return true;
            }
        }
        public override bool? UseItem(Player p) 
        {
            if(Main.netMode != 1)
              {
                //int mX = (int)(Main.screenPosition.X + Main.mouseX);
                //int mY = (int)(Main.screenPosition.Y + Main.mouseY);
                int npcID = NPC.NewNPC((int)p.Center.X + 0, (int)p.Center.Y - 400, NPCDef.byName["CribMod:QuadCannonBoss"].type, 0);
				
				if(Main.rand.Next(2) == 0)
				{
				Main.NewText("Quad Cannon deployed.", 249, 249, 9);
				}else
				if(Main.rand.Next(2) == 0)
				{
				Main.NewText("Ready for Quad Cannon?", 249, 249, 9);
				}else
				if(Main.rand.Next(4) == 0)
				{
				Main.NewText("You just have to push the button don't you?", 249, 249, 9);
				}else
				{
                		Main.NewText("Engaging Quad Cannon.", 249, 249, 9);
				}
            }
            if(Main.netMode != 2)
            { 
                Main.PlaySound(7, (int)p.Center.X, (int)p.Center.Y, 0);
                Vector2 npcPos = p.position - new Vector2(0, 0);
                for (int m = 0; m < 15; m++)
                {
                    int dustID = Dust.NewDust(npcPos, p.width, p.height, 63, Main.rand.Next(-10, 10) * 1f, Main.rand.Next(-10, 10) * 1f, 100, default(Color), 2.7f);
                    Main.dust[dustID].noGravity = true;
                }
            }
			return true;
        }
    }
}
