using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Terraria;
using TAPI;

namespace CribMod.NPCs
{
    public class HyperBuddy: ModNPC
    {
   	public override void HitEffect(int hitDirection, double damage, bool isDead)
	{
				if (Main.netMode != 2)
			{
				for (int m = 0; m < (isDead ? 20 : 5); m++)
				{
					int dustID = Dust.NewDust(npc.position, npc.width, npc.height, 5, npc.velocity.X * 0.2f, npc.velocity.Y * 0.2f, 100, Color.White, isDead && m % 2 == 0 ? 3f : 1f);
					if (isDead && m % 2 == 0) { Main.dust[dustID].noGravity = true; }
				}
				if (isDead)
				{
				npc.soundHit = 0; npc.soundKilled = 0;
				for (int i = 0; i < 25; i++)
				{
					int dustID = Dust.NewDust(new Vector2(npc.position.X, npc.position.Y), npc.width, npc.height, 31, 0f, 0f, 100, default(Color), 2f);
					Main.dust[dustID].velocity *= 1.4f;
					Main.dust[dustID].noLight = true;
					Main.dust[dustID].noGravity = true;
				}
				int goreID = Gore.NewGore(new Vector2(npc.position.X + (float)(npc.width / 2) - 24f, npc.position.Y + (float)(npc.height / 2) - 24f), default(Vector2), Main.rand.Next(61, 64), 1f);
				Main.gore[goreID].scale = 1f;
				Main.gore[goreID].velocity.X += 1f;
				Main.gore[goreID].velocity.Y += 1f;
				goreID = Gore.NewGore(new Vector2(npc.position.X + (float)(npc.width / 2) - 24f, npc.position.Y + (float)(npc.height / 2) - 24f), default(Vector2), Main.rand.Next(61, 64), 1f);
				Main.gore[goreID].scale = 1f;
				Main.gore[goreID].velocity.X -= 1f;
				Main.gore[goreID].velocity.Y += 1f;
				goreID = Gore.NewGore(new Vector2(npc.position.X + (float)(npc.width / 2) - 24f, npc.position.Y + (float)(npc.height / 2) - 24f), default(Vector2), Main.rand.Next(61, 64), 1f);
				Main.gore[goreID].scale = 1f;
				Main.gore[goreID].velocity.X += 1f;
				Main.gore[goreID].velocity.Y -= 1f;
				goreID = Gore.NewGore(new Vector2(npc.position.X + (float)(npc.width / 2) - 24f, npc.position.Y + (float)(npc.height / 2) - 24f), default(Vector2), Main.rand.Next(61, 64), 1f);
				Main.gore[goreID].scale = 1f;
				Main.gore[goreID].velocity.X -= 1f;
				Main.gore[goreID].velocity.Y -= 1f;
				}
			}
	}

   	public override void PostNPCLoot()                
        {				
			Main.NewText("Hyper Buddy has calmed down and left!", 175, 75, 255); 
        }
    }
}