using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Terraria;
using TAPI;

namespace CribMod.NPCs
{
    public class FableWaspQueenBoss: ModNPC
    {
        public override void AI()
        {
		{
                        if (Main.rand.Next(40) == 1)
                        {
			if (npc.velocity.X !=0 || npc.velocity.Y !=0)
            {
                int aura = Dust.NewDust(new Vector2(npc.position.X, npc.position.Y), npc.width, npc.height, 76, Main.rand.Next(-5,5), Main.rand.Next(-5,5), 50, Color.Orange, 1.5f);
				Main.dust[aura].noGravity = true;
            }
		npc.netUpdate = false;
            	npc.ai[1]++;

            	if (npc.ai[1] >= 10 && Main.netMode != 1)
                {
                int MossHornetSpawn = NPC.NewNPC((int)npc.position.X + (npc.width / 2), (int)npc.position.Y + (npc.height / 2), "Vanilla:Moss Hornet", 0);
                npc.ai[1] = 20 - Main.rand.Next(400);
                if (Main.netMode == 2 && MossHornetSpawn < 200)
                {
                    NetMessage.SendData(23, -1, -1, "", MossHornetSpawn, 0f, 0f, 0f, 0);
                }
           }

                            float num48 = 8f;
                            Vector2 vector8 = new Vector2(npc.position.X + (npc.width * 0.5f), npc.position.Y + (npc.height / 2));
                            float speedX = ((Main.player[npc.target].position.X + (Main.player[npc.target].width * 0.5f)) - vector8.X) + Main.rand.Next(-20, 0x15);
                            float speedY = ((Main.player[npc.target].position.Y + (Main.player[npc.target].height * 0.5f)) - vector8.Y) + Main.rand.Next(-20, 0x15);
                            if (((speedX < 0f) && (npc.velocity.X < 0f)) || ((speedX > 0f) && (npc.velocity.X > 0f)))
                            {
                                Main.PlaySound(2, (int)npc.position.X, (int)npc.position.Y, 5);
                                float num51 = (float)Math.Sqrt((double)((speedX * speedX) + (speedY * speedY)));
                                num51 = num48 / num51;
                                speedX *= num51;
                                speedY *= num51;
                                int damage = 50,
                                type = ProjDef.byName["Vanilla:Stinger"].type;
                                int num54 = Projectile.NewProjectile(vector8.X, vector8.Y, speedX, speedY, type, damage, 0f, Main.myPlayer);
				Main.projectile[num54].scale = 1;
                                Main.projectile[num54].timeLeft = 1000;
                            }
                            npc.netUpdate = true;
                        }
                        if (Main.rand.Next(200) == 1)
                        {

                            float num48 = 8f;
                            Vector2 vector8 = new Vector2(npc.position.X + (npc.width * 0.5f), npc.position.Y + (npc.height / 2));
                            float speedX = ((Main.player[npc.target].position.X + (Main.player[npc.target].width * 0.5f)) - vector8.X) + Main.rand.Next(-20, 0x15);
                            float speedY = ((Main.player[npc.target].position.Y + (Main.player[npc.target].height * 0.5f)) - vector8.Y) + Main.rand.Next(-20, 0x15);
                            if (((speedX < 0f) && (npc.velocity.X < 0f)) || ((speedX > 0f) && (npc.velocity.X > 0f)))
                            {
                                Main.PlaySound(2, (int)npc.position.X, (int)npc.position.Y, 5);
                                float num51 = (float)Math.Sqrt((double)((speedX * speedX) + (speedY * speedY)));
                                num51 = num48 / num51;
                                speedX *= num51;
                                speedY *= num51;
                                int damage = 30,
                                type = ProjDef.byName["CribMod:VenomWaveC"].type;
                                int num54 = Projectile.NewProjectile(vector8.X, vector8.Y, speedX, speedY, type, damage, 0f, Main.myPlayer);
                                Main.projectile[num54].timeLeft = 120;                            
                            }
                            npc.netUpdate = true;
                        }
						if (Main.player[npc.target].dead)
						{
						npc.velocity.Y -= 1.11f;
						if (npc.timeLeft > 10)
						{
						npc.timeLeft = 10;
						return;
						}
						}
			}
	}

   	public override void HitEffect(int hitDirection, double damage, bool isDead)
	{
				if (Main.netMode != 2)
			{
				for (int m = 0; m < (isDead ? 20 : 5); m++)
				{
					int dustID = Dust.NewDust(npc.position, npc.width, npc.height, 5, npc.velocity.X * 0.2f, npc.velocity.Y * 0.2f, 100, Color.White, isDead && m % 2 == 0 ? 3f : 1f);
					if (isDead && m % 2 == 0) { Main.dust[dustID].noGravity = true; }
				}
				if (isDead)
				{
				npc.soundHit = 0; npc.soundKilled = 1;
				for (int i = 0; i < 25; i++)
				{
					int dustID = Dust.NewDust(new Vector2(npc.position.X, npc.position.Y), npc.width, npc.height, 31, 0f, 0f, 100, default(Color), 2f);
					Main.dust[dustID].velocity *= 1.4f;
					Main.dust[dustID].noLight = true;
					Main.dust[dustID].noGravity = true;
				}
				int goreID = Gore.NewGore(new Vector2(npc.position.X + (float)(npc.width / 2) - 24f, npc.position.Y + (float)(npc.height / 2) - 24f), default(Vector2), Main.rand.Next(61, 64), 1f);
				Main.gore[goreID].scale = 1f;
				Main.gore[goreID].velocity.X += 1f;
				Main.gore[goreID].velocity.Y += 1f;
				goreID = Gore.NewGore(new Vector2(npc.position.X + (float)(npc.width / 2) - 24f, npc.position.Y + (float)(npc.height / 2) - 24f), default(Vector2), Main.rand.Next(61, 64), 1f);
				Main.gore[goreID].scale = 1f;
				Main.gore[goreID].velocity.X -= 1f;
				Main.gore[goreID].velocity.Y += 1f;
				goreID = Gore.NewGore(new Vector2(npc.position.X + (float)(npc.width / 2) - 24f, npc.position.Y + (float)(npc.height / 2) - 24f), default(Vector2), Main.rand.Next(61, 64), 1f);
				Main.gore[goreID].scale = 1f;
				Main.gore[goreID].velocity.X += 1f;
				Main.gore[goreID].velocity.Y -= 1f;
				goreID = Gore.NewGore(new Vector2(npc.position.X + (float)(npc.width / 2) - 24f, npc.position.Y + (float)(npc.height / 2) - 24f), default(Vector2), Main.rand.Next(61, 64), 1f);
				Main.gore[goreID].scale = 1f;
				Main.gore[goreID].velocity.X -= 1f;
				Main.gore[goreID].velocity.Y -= 1f;
				}
			}
	}

	public override void SelectFrame(int frameSize)
	{
			int num = 1;
			if (!Main.dedServ)
			{
				num = Main.npcTexture[npc.type].Height / Main.npcFrameCount[npc.type];
			}
			if (npc.position.X < Main.player[npc.target].position.X)
			{
				npc.spriteDirection = -1;
			}
			else
			{
				npc.spriteDirection = 1;
			}
			npc.rotation = npc.velocity.X * 0.08f;
			npc.frameCounter += 1.0;
			if (npc.frameCounter >= 4.0)
			{
				npc.frame.Y = npc.frame.Y + num;
				npc.frameCounter = 0.0;
			}
			if (npc.frame.Y >= num * Main.npcFrameCount[npc.type])
			{
				npc.frame.Y = 0;
			}
	}

   	public override void PostNPCLoot()
        {				
			Main.NewText("Fabled Wasp Queen has been defeated!", 175, 75, 255); 
        }
    }
}