using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using Terraria;
using TAPI;

namespace CribMod
{
    public class EATEROFWORLDSHeadBoss : ModNPC
    {
        public override void AI()
        {
                        if (Main.rand.Next(50) == 1)
                        {
			if (npc.velocity.X !=0 || npc.velocity.Y !=0)
            {
                int aura = Dust.NewDust(new Vector2(npc.position.X, npc.position.Y), npc.width, npc.height, 76, Main.rand.Next(-5,5), Main.rand.Next(-5,5), 50, Color.Orange, 1.5f);
				Main.dust[aura].noGravity = true;
            }
                            float num48 = 8f;
                            Vector2 vector8 = new Vector2(npc.position.X + (npc.width * 0.5f), npc.position.Y + (npc.height / 2));
                            float speedX = ((Main.player[npc.target].position.X + (Main.player[npc.target].width * 0.5f)) - vector8.X) + Main.rand.Next(-20, 0x15);
                            float speedY = ((Main.player[npc.target].position.Y + (Main.player[npc.target].height * 0.5f)) - vector8.Y) + Main.rand.Next(-20, 0x15);
                            if (((speedX < 0f) && (npc.velocity.X < 0f)) || ((speedX > 0f) && (npc.velocity.X > 0f)))
                            {
                                Main.PlaySound(0, (int)npc.position.X, (int)npc.position.Y, 5);
                                float num51 = (float)Math.Sqrt((double)((speedX * speedX) + (speedY * speedY)));
                                num51 = num48 / num51;
                                speedX *= num51;
                                speedY *= num51;
                                int damage = 1,
                                type = ProjDef.byName["Vanilla:Corrupt Spray"].type;
                                int num54 = Projectile.NewProjectile(vector8.X, vector8.Y, speedX, speedY, type, damage, 0f, Main.myPlayer);
                                Main.projectile[num54].timeLeft = 1000;
                            }
                            npc.netUpdate = true;
                        }
			if (Main.rand.Next(20) == 1)
                        {
                            float num48 = 8f;
                            Vector2 vector8 = new Vector2(npc.position.X + (npc.width * 0.5f), npc.position.Y + (npc.height / 2));
                            float speedX = ((Main.player[npc.target].position.X + (Main.player[npc.target].width * 0.5f)) - vector8.X) + Main.rand.Next(-20, 0x15);
                            float speedY = ((Main.player[npc.target].position.Y + (Main.player[npc.target].height * 0.5f)) - vector8.Y) + Main.rand.Next(-20, 0x15);
                            if (((speedX < 0f) && (npc.velocity.X < 0f)) || ((speedX > 0f) && (npc.velocity.X > 0f)))
                            {
                                Main.PlaySound(2, (int)npc.position.X, (int)npc.position.Y, 5);
                                float num51 = (float)Math.Sqrt((double)((speedX * speedX) + (speedY * speedY)));
                                num51 = num48 / num51;
                                speedX *= 200;
                                speedY *= 200;
                                int damage = 60,
                                type = ProjDef.byName["CribMod:CMassiveVileSpit"].type;
                                int num54 = Projectile.NewProjectile(vector8.X, vector8.Y, speedX, speedY, type, damage, 0f, Main.myPlayer);
				Main.projectile[num54].scale = 2;
				Main.projectile[num54].timeLeft = 1000;                            
                            }
                            npc.netUpdate = true;
                        }
            bool TailSpawned = false;

            if (!TailSpawned)
            {
                int Previous = npc.whoAmI;
                for (int Counter = 0; Counter < 31; Counter++)
                {
                    int spawn = 0;
                    if (Counter < 30)
                    {
                        spawn = NPC.NewNPC((int)npc.position.X + (npc.width / 2), (int)npc.position.Y + (npc.height / 2), NPCDef.byName["CribMod:EATEROFWORLDSBody"].type, npc.whoAmI);
                    }
                    else
                    {
                        spawn = NPC.NewNPC((int)npc.position.X + (npc.width / 2), (int)npc.position.Y + (npc.height / 2), NPCDef.byName["CribMod:EATEROFWORLDSTail"].type, npc.whoAmI);
                    }
                    Main.npc[spawn].realLife = npc.whoAmI;
                    Main.npc[spawn].ai[2] = (float)npc.whoAmI;
                    Main.npc[spawn].ai[1] = (float)Previous;
                    Main.npc[Previous].ai[0] = (float)spawn;
                    NetMessage.SendData(23, -1, -1, "", spawn, 0f, 0f, 0f, 0);
                    Previous = spawn;
                }
                TailSpawned = true;
            }
            	    if (Main.player[this.npc.target].dead && this.npc.timeLeft > 180)
            	    {
                	this.npc.timeLeft = 180;
            	    }
		    if (Main.rand.Next(2)==0)
		    {
			int dust = Dust.NewDust(new Vector2((float) npc.position.X, (float) npc.position.Y), npc.width, npc.height, 44, npc.velocity.X, npc.velocity.Y, 100, default(Color), 1.2f);
			Main.dust[dust].noGravity = true;
		    }
        }
		
		public override void HitEffect(int hitDirection, double damage, bool isDead)
		{
			if (Main.netMode != 2)
			{
				for (int m = 0; m < (isDead ? 20 : 5); m++)
				{
					int dustID = Dust.NewDust(npc.position, npc.width, npc.height, 44, npc.velocity.X * 0.2f, npc.velocity.Y * 0.2f, 100, default(Color), isDead && m % 2 == 0 ? 3f : 1f);
					if (isDead && m % 2 == 0) { Main.dust[dustID].noGravity = true; }
				}
				if (isDead)
				{
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSHeadGore1"], 1f);
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSHeadGore2"], 1f);	
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore1"], 1f);	
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore2"], 1f);
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore1"], 1f);	
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore2"], 1f);					
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore1"], 1f);	
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore2"], 1f);
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore1"], 1f);	
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore2"], 1f);
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore1"], 1f);	
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore2"], 1f);
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore1"], 1f);	
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSBodyGore2"], 1f);
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSTailGore1"], 1f);	
					Gore.NewGore(npc.position, npc.velocity, GoreDef.gores["CribMod:EATEROFWORLDSTailGore2"], 1f);
				}
			}
		}
		public override void DamagePlayer(Player p, int hitDir, ref int damage, ref bool crit, ref float critChance)
        	{
            	p.AddBuff(32, 7200, false);
            	p.AddBuff(33, 7200, false);
        	}
   		
		public override void PostNPCLoot()    
        	{				
			Main.NewText("The Grand Eater of Worlds, along with your brain cells has been killed!", 249, 249, 9); 
        	}
    }
}