using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
    public class AntimatterBall : ModProjectile
    {
	public override void AI()
	{
		int dust = Dust.NewDust(new Vector2((float) projectile.position.X, (float) projectile.position.Y), projectile.width, projectile.height, 155, 0, 0, 150, default(Color), 0.7f);
		Main.dust[dust].noGravity = false;
	}

	public override void PostKill()
        {
            	Projectile.NewProjectile(projectile.position.X, projectile.position.Y, -1, 0, "CribMod:AntimatterWave", projectile.damage, 1, Main.myPlayer);
        }

	public override void DealtPlayer(Player player, int hitDir, int dmgDealt, bool crit)
	{
		{
		player.AddBuff(32, 420); 
		}
		{
		player.AddBuff(33, 420); 
		}
	}
    }
}