using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
	public class CCrimsonStabGud : ModProjectile
	{
		public override void AI()
		{
            		projectile.alpha = 88; //Makes it semi-transparent
			int dust = Dust.NewDust(new Vector2((float) projectile.position.X, (float) projectile.position.Y), projectile.width, projectile.height, 60, 0, 0, 150, Color.White, 1.5f);
			Main.dust[dust].noGravity = true;
		}

		public override void DealtPlayer(Player player, int hitDir, int dmgDealt, bool crit)
		{
			{
				player.AddBuff(32, 300); 
			}
			{
				player.AddBuff(33, 600); 
			}
		}
}
}