using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
	public class VenomWaveC : ModProjectile
	{
		public override void AI()
		{
            		projectile.alpha = 88; //Makes it semi-transparent
			int dust = Dust.NewDust(new Vector2((float) projectile.position.X, (float) projectile.position.Y), projectile.width, projectile.height, 44, 0, 0, 150, Color.White, 1.2f);
			Main.dust[dust].noGravity = false;
		}

		public override void DealtPlayer(Player player, int hitDir, int dmgDealt, bool crit)
		{
			{
				player.AddBuff(70, 900); 
			}
		}
}
}