using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
	public class AngryPixieC : ModProjectile
	{
		public override void AI()
		{
			int dust = Dust.NewDust(new Vector2((float) projectile.position.X, (float) projectile.position.Y), projectile.width, projectile.height, 64, 0, 0, 150, Color.Yellow, 2.5f);
			Main.dust[dust].noGravity = true;
		}

		public override void DealtPlayer(Player player, int hitDir, int dmgDealt, bool crit)
		{
			{
				player.AddBuff(32, 300); 
			}
		}
		public override void PostKill()
                {
                    int dustID = Dust.NewDust(projectile.position, projectile.width, projectile.height, 64, Main.rand.Next(10, 10) * 1f, Main.rand.Next(10, 10) * 1f, 90, Color.White, 2.5f);
                    Main.dust[dustID].noGravity = true;
                }
}
}