using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
    public class BustaBalls: ModProjectile
    {
        public override void DealtNPC(NPC n, int hitDir, int dmgDealt, float knockback, bool crit)
        {
            Projectile.NewProjectile(projectile.position.X, projectile.position.Y, 0, -6, "Vanilla:Ball of Fire", projectile.damage, 2, Main.myPlayer);
            n.AddBuff(24, 600); 
        }

        public override void AI()
        {
            int DustID = Dust.NewDust(new Vector2(projectile.position.X, projectile.position.Y + 2f), projectile.width + 4, projectile.height + 4, 6, projectile.velocity.X * 0.2f, projectile.velocity.Y * 0.2f, 100, default(Color), 1.5f); 
            Main.dust[DustID].noGravity = true; 
        }		
    }
}
