using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
    public class CometC : ModProjectile
    {
        public override void DealtNPC(NPC n, int hitDir, int dmgDealt, float knockback, bool crit)
        {
            n.AddBuff(44, 900); 
        }

        public override void AI()
        {
            int DustID = Dust.NewDust(new Vector2(projectile.position.X, projectile.position.Y + 2f), projectile.width + 4, projectile.height + 4, 59, projectile.velocity.X * 0.2f, projectile.velocity.Y * 0.2f, 100, default(Color), 2.5f); //Create Dust
            Main.dust[DustID].noGravity = true; //Makes the Dust not fall into the ground
        }
		public override void PostKill()
        {
			Main.PlaySound(0, (int)projectile.position.X, (int)projectile.position.Y, 1);
                {
                    int dustID = Dust.NewDust(projectile.position, projectile.width, projectile.height, 59, Main.rand.Next(0, 0) * 1f, Main.rand.Next(0, 0) * 1f, 90, Color.White, 2.5f);
                    Main.dust[dustID].noGravity = true;
                }
	}
	}
}