using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
    public class DefenderSlash : ModProjectile
    {
        public override void AI()        
        {
            int DustID = Dust.NewDust(new Vector2(projectile.position.X, projectile.position.Y), projectile.width, projectile.height, 30, projectile.velocity.X, projectile.velocity.Y, 100, default(Color), 1.1f); 
            Main.dust[DustID].noGravity = true; 
        }
	public override void DamageNPC(NPC npc, int hitDir, ref int damage, ref float knockback, ref bool crit, ref float critMult)
        {
            damage += npc.defense/2; 
        }
    }
}
