using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
    public class PureTerraBlade : ModProjectile
    {
        public override void AI()
        {
            int DustID = Dust.NewDust(new Vector2(projectile.position.X, projectile.position.Y + 2f), projectile.width + 4, projectile.height + 4, 75, projectile.velocity.X * 0.2f, projectile.velocity.Y * 0.2f, 100, default(Color), 1.9f); //Create Dust
            Main.dust[DustID].noGravity = true; //Makes the Dust not fall into the ground
        }
	public override void PostKill()
        {
	    Main.PlaySound(-1, (int)projectile.position.X, (int)projectile.position.Y, 1);
            {
            int dustID = Dust.NewDust(projectile.position, projectile.width, projectile.height, 75, Main.rand.Next(0, 0) * 1f, Main.rand.Next(0, 0) * 1f, 100, default(Color), 2.4f);
            Main.dust[dustID].noGravity = true;
            }
	}
	public override void DamageNPC(NPC npc, int hitDir, ref int damage, ref float knockback, ref bool crit, ref float critMult)
        {
            damage += npc.defense/2; 
        }
    }
}
