using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
    public class CShroomiteMissile : ModProjectile
    {
        public override void DealtNPC(NPC n, int hitDir, int dmgDealt, float knockback, bool crit)
        {
            int spread = Main.rand.Next(5, 10);
            Projectile.NewProjectile(projectile.position.X, projectile.position.Y, Main.rand.Next(10),Main.rand.Next(10), "CribMod:CShroomiteMissile", projectile.damage, 2, Main.myPlayer);
        }
        public override void AI()
        {
            int DustID = Dust.NewDust(new Vector2(projectile.position.X, projectile.position.Y), projectile.width, projectile.height, 59, projectile.velocity.X, projectile.velocity.Y, 100, default(Color), 0.4f); 
            Main.dust[DustID].noGravity = true; 
        }
	public override void PostKill()
        {
	Main.PlaySound(2, (int)projectile.position.X, (int)projectile.position.Y, 14);
            {
            int dustID = Dust.NewDust(projectile.position, projectile.width, projectile.height, 59, projectile.velocity.X, projectile.velocity.Y, 90, default(Color), 1.3f);
            Main.dust[dustID].noGravity = true;
            }
	}
    }
}