using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
    public class CSmokeBomb : ModProjectile
    {
	public override void DealtNPC(NPC n, int hitDir, int dmgDealt, float knockback, bool crit)
        {
            Projectile.NewProjectile(projectile.position.X, projectile.position.Y, 0, -6, "Vanilla:Smoke Bomb", projectile.damage, 2, Main.myPlayer);
            n.AddBuff(31, 60); 
        }
        public override void AI()        
        {
            int DustID = Dust.NewDust(new Vector2(projectile.position.X, projectile.position.Y), projectile.width, projectile.height, 203, projectile.velocity.X, projectile.velocity.Y, 100, default(Color), 2.5f); 
            Main.dust[DustID].noGravity = true; 
        }
    }
}