using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using TAPI; 

namespace CribMod.Items
{
    public class BloodSoakedEgg : TAPI.ModItem
    {     
    	public override void Effects(Player player)
     	{
       	player.meleeDamage += 0.2f;
	if (Main.rand.Next(3)==0)
		{
		int dust = Dust.NewDust(new Vector2((float) player.position.X, (float) player.position.Y), player.width, player.height, 5, Main.rand.Next(-5,5), Main.rand.Next(-5,5), 100, default(Color), 1.9f);
		Main.dust[dust].noGravity = true;
		Main.dust[dust].noLight = true;
		}
     	}

        public override void DealtNPC(Player owner, NPC npc, int hitDir, int dmgDealt, float knockback, bool crit)
        {
            owner.statLife += 1;
        }
    }
}