using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using TAPI; 

namespace CribMod.Items
{
public class BurningEyes : TAPI.ModItem
    	{     
        public float brightness = 1.7f;
        public override void Effects(Player p)
        {
       	    	p.moveSpeed += 0.25f;
		p.magmaStone = true; 
		p.fireWalk = true;
                {
                spawnFire(p, p.position.X, p.position.Y + p.height / 10f, p.width, p.height / 4);
                }
           	if(p.statLife <= (int)p.statLifeMax/4) 
            	{
       	    	p.moveSpeed += 0.55f;  
            	}
        }
        public virtual void spawnFire(Player p, float x, float y, int w, int h)
        {
            	int dust = Dust.NewDust(new Vector2(x, y), w, h, 6, 0f, 0f, 0, default(Color), 0.8f);
            	Main.dust[dust].velocity -= p.velocity * 0.6f;
            	Main.dust[dust].noGravity = true;
        }
   	}
}