using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using TAPI; 

namespace CribMod.Items
{
    public class aUnholyPossessedHelmet : TAPI.ModItem
    	{     
        public override void Effects(Player p)
     		{
           		p.statDefense += 28;
        		p.meleeDamage += 0.05f;
			p.magicDamage += 0.05f;
			p.rangedDamage += 0.05f;
                	p.minionDamage += 0.05f;
            		p.AddBuff (80, 1, true);
     		}
   	}

    public class UnholyPossessedArmor : TAPI.ModItem
    	{     
        public override void Effects(Player p)
     		{
           		p.statDefense += 36;
        		p.meleeDamage += 0.05f;
			p.magicDamage += 0.05f;
			p.rangedDamage += 0.05f;
                	p.minionDamage += 0.05f;
       			p.meleeCrit += 9;
			p.magicCrit += 9;
			p.rangedCrit += 9;
     		}
		public override void ArmorSetBonus(Player p)
		{
			p.setBonus = "Increased damage, critical strike damage and movement speed";
            		p.AddBuff (80, 1, true);
       			p.meleeDamage += 0.1f;
			p.magicDamage += 0.1f;
			p.rangedDamage += 0.1f;
			p.meleeCritMult = 2.9f;
			p.magicCritMult = 2.9f;
			p.rangedCritMult = 2.9f;
       	    		p.moveSpeed += 0.5f;
		}
		public override void VanitySetBonus(Player p)
		{
			p.drawAfterimage = true;
		}
   	}

    public class UnholyPossessedGreaves : TAPI.ModItem
    	{     
        public override void Effects(Player p)
     		{
           		p.statDefense += 24;
        		p.meleeDamage += 0.05f;
			p.magicDamage += 0.05f;
			p.rangedDamage += 0.05f;
                	p.minionDamage += 0.05f;
       			p.meleeCrit += 4;
			p.magicCrit += 4;
			p.rangedCrit += 4;
     		}
   	}
}