using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using TAPI;

namespace CribMod.Items
{
public class CGravelordGreatswordDance : ModItem
    {
    
        public Vector2 usePos = default(Vector2);

        public override bool PreShoot(Player player, Vector2 position, Vector2 velocity, int projType, int damage, float knockback)
        {			
            /*Grox's Code*/
            usePos = Main.mouseWorld - player.position;
            UseStyle(player);
            position.X = Main.mouseWorld.X; //Makes the position equal to your mouse
            position.X += MathHelper.Lerp(-120f, 120f, (float)Main.rand.NextDouble()); //Allows you have the projectile spawn at random in the x direction
            position.Y -= 50; //Make the projectile spawn 500 pixels above you (About 32 tiles)
	    velocity.X = 0; //Makes it not stray from direct path to ground
            /*End of Grox's Code*/

            Projectile.NewProjectile(position.X, position.Y, velocity.X, velocity.Y, "CribMod:CGravelordGreatswordDance", damage, knockback, player.whoAmI);
		
            return false;
        }

    }
}