using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace CribMod.Items
{
    public class PixiePortalStaff : ModItem
    {
        public override bool? UseItem(Player p) 
        {
            if(Main.netMode != 1)
            {
                //int mX = (int)(Main.screenPosition.X + Main.mouseX);
                //int mY = (int)(Main.screenPosition.Y + Main.mouseY);
                int npcID = NPC.NewNPC((int)p.Center.X - 5, (int)p.Center.Y - 15, NPCDef.byName["CribMod:CPixiePortal"].type, 0);
				if (Main.netMode == 2)
					NetMessage.SendData(23, -1, -1, "", npcID, 0.0f, 0.0f, 0.0f, 0);
            }
            if(Main.netMode != 2)
            { 
                Vector2 npcPos = p.position - new Vector2(0, 15);
                for (int m = 0; m < 15; m++)
                {
                    int dustID = Dust.NewDust(npcPos, p.width, p.height, 57, Main.rand.Next(-10, 10) * 1f, Main.rand.Next(-10, 10) * 1f, 100, Color.White, 2.5f);
                    Main.dust[dustID].noGravity = true;
                }
            }
			return true;
        }
    }
}
