using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using TAPI; 

namespace CribMod.Items
{
public class HazardSwordC : ModItem
    {
       	public override void UseItemEffects(Player player, Rectangle rectangle)
	{
		int dustID = Dust.NewDust(new Vector2((float)rectangle.X, (float)rectangle.Y), rectangle.Width, rectangle.Height, 63, (player.velocity.X * 0.2f) + (player.direction * 3), player.velocity.Y * 0.2f, 100, Color.White, 0.6f + (Main.rand.Next(15) * 0.1f));
		Main.dust[dustID].noGravity = true; 
            	player.AddBuff (3, 600, true);
	}
        public override void DamageNPC(Player owner, NPC npc, int hitDir, ref int damage, ref float knockback, ref bool crit, ref float critMult) 
        {
            if ((NPC.AnyNPCs(NPCDef.byName["CribMod:TestDummyBoss"].type)) || (NPC.AnyNPCs(NPCDef.byName["CribMod:CGravelordNitoBoss"].type)) || (NPC.AnyNPCs(NPCDef.byName["CribMod:SwordPlayBoss"].type)) || (NPC.AnyNPCs(NPCDef.byName["CribMod:QuadCannonBoss"].type))) damage *= 6;
        }
    }
}