using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using TAPI; 

namespace CribMod.Items
{
public class WarpBladesC : ModItem
    {
       	public override void UseItemEffects(Player player, Rectangle rectangle)
	{
		int dustID = Dust.NewDust(new Vector2((float)rectangle.X, (float)rectangle.Y), rectangle.Width, rectangle.Height, 61, (player.velocity.X * 0.2f) + (player.direction * 3), player.velocity.Y * 0.2f, 100, Color.White, 1.6f + (Main.rand.Next(15) * 0.1f));
		Main.dust[dustID].noGravity = true; 
	}
        
       public override bool PreShoot(Player player,Vector2 ShootPos,Vector2 ShootVelocity,int projType,int Damage,float knockback)
        {
            int ShotAmt = 1; 
            int spread = 1; 
            float spreadMult = 0.4f; //Multiplier for bullet spread, set it higher and it will make for some outrageous spread.
            for(int i = 0; i < ShotAmt; i++)
            {
                float vX = ShootVelocity.X+(float)Main.rand.Next(-spread,spread+1) * spreadMult;
                float vY = ShootVelocity.Y+(float)Main.rand.Next(-spread,spread+1) * spreadMult;

                Projectile.NewProjectile(ShootPos.X,ShootPos.Y,vX,vY,projType,Damage,knockback,Main.myPlayer);
            }
            return false;
        }
    }
}