using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
	public class Tombstone_CC : ModProjectile
	{
		public override void AI()
		{
			int dust = Dust.NewDust(new Vector2((float) projectile.position.X, (float) projectile.position.Y), projectile.width, projectile.height, 1, 0, 0, 150, Color.Red, 0.6f);
			Main.dust[dust].noGravity = false;
		}

		public override void DealtPlayer(Player player, int hitDir, int dmgDealt, bool crit)
		{
			if (player.whoAmI == Main.myPlayer && Main.rand.Next(2) == 0)
			{
				player.AddBuff(23, 600); 
			}
		}
}
}