using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
    public class CLightning : ModProjectile
    {
        public override void DealtNPC(NPC n, int hitDir, int dmgDealt, float knockback, bool crit)
        {
            Projectile.NewProjectile(projectile.position.X, projectile.position.Y, Main.rand.Next(10),Main.rand.Next(10), "CribMod:CLightning2", projectile.damage, 2, Main.myPlayer);
        }
		
	public override void DamageNPC(NPC npc, int hitDir, ref int damage, ref float knockback, ref bool crit, ref float critMult)
        {
            if ((NPC.AnyNPCs(NPCDef.byName["CribMod:TestDummyBoss"].type)) || (NPC.AnyNPCs(NPCDef.byName["CribMod:CGravelordNitoBoss"].type)) || (NPC.AnyNPCs(NPCDef.byName["CribMod:SwordPlayBoss"].type)) || (NPC.AnyNPCs(NPCDef.byName["CribMod:QuadCannonBoss"].type))) damage *= 4;
        }

        public override void AI()
        {
        	projectile.frameCounter++;
   
        	if(projectile.frame == 2) 
        	{
        	projectile.frame = 0;
        	}
        	if(projectile.frameCounter % 5 == 0)
        	{
        	projectile.frame += 1;
        	}
            int DustID = Dust.NewDust(new Vector2(projectile.position.X, projectile.position.Y), projectile.width, projectile.height, 67, projectile.velocity.X, projectile.velocity.Y, 100, default(Color), 0.4f); 
            Main.dust[DustID].noGravity = true; 
        }
    }
}