using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
    public class NuclearRodC : ModProjectile
    {

        public override void DealtNPC(NPC n, int hitDir, int dmgDealt, float knockback, bool crit)
        {
            Player owner = Main.player[projectile.owner];
            //Start of impalement code
            projectile.position.X = n.position.X;
            projectile.position.Y = n.position.Y;
            projectile.velocity.X = n.velocity.X;
            projectile.velocity.Y = n.velocity.Y;

            {
                n.AddBuff(20, 1200); 
            }
	
        }
		public override void PostKill()
        {
			Main.PlaySound(0, (int)projectile.position.X, (int)projectile.position.Y, 1);
                {
                    int dustID = Dust.NewDust(projectile.position, projectile.width, projectile.height, 61, Main.rand.Next(-10, 10) * 1f, Main.rand.Next(-10, 10) * 1f, 90, Color.Green, 3.5f);
                    Main.dust[dustID].noGravity = true;
                }
	}
        public override void AI()
        {
            projectile.alpha = 88; //Makes it semi-transparent
            int DustID = Dust.NewDust(new Vector2(projectile.position.X, projectile.position.Y + 2f), projectile.width + 4, projectile.height + 4, 61, projectile.velocity.X * 0.2f, projectile.velocity.Y * 0.2f, 100, default(Color), 0.6f); //Create Dust
            Main.dust[DustID].noGravity = true; //Makes the Dust not fall into the ground
        }
                
	}
}