using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
    public class LaserThornBall : ModProjectile
    {
        public override void DealtNPC(NPC n, int hitDir, int dmgDealt, float knockback, bool crit)
        {
            Projectile.NewProjectile(projectile.position.X, projectile.position.Y, Main.rand.Next(10),Main.rand.Next(10), "Vanilla:Green Laser", projectile.damage, 2, Main.myPlayer);
        }
        public override void AI()
        {
            int DustID = Dust.NewDust(new Vector2(projectile.position.X, projectile.position.Y), projectile.width, projectile.height, 61, projectile.velocity.X, projectile.velocity.Y, 100, default(Color), 0.3f); 
            Main.dust[DustID].noGravity = true; 
        }
    }
}