using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
    public class tHeavySilverBullet : ModProjectile
    {
        public override void AI()
        {
	    projectile.rotation = (float)System.Math.Atan2((double)projectile.velocity.Y, (double)projectile.velocity.X) + 1.57f;
            int DustID = Dust.NewDust(new Vector2(projectile.position.X, projectile.position.Y), projectile.width, projectile.height, 63, projectile.velocity.X, projectile.velocity.Y, 100, default(Color), 0.4f);  
            Main.dust[DustID].noGravity = true; 
        }

        public override void PostKill() //spawns dust on collision and plays a sound.
        {
            Collision.HitTiles(projectile.position, projectile.velocity, projectile.width, projectile.height); //tile dust
            Main.PlaySound(0, (int)projectile.position.X, (int)projectile.position.Y, 1);
            for (int m = 0; m < 5; m++) //projectile dust
            {
                int dustID = Dust.NewDust(projectile.position, projectile.width, projectile.height, 30, projectile.velocity.X * 0.2f, projectile.velocity.Y * 0.2f, 100, Color.White, 1.2f);
            }
        }
    }
}
