using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
	public class BloodApparition : ModProjectile
	{
        	public override void DealtNPC(NPC n, int hitDir, int dmgDealt, float knockback, bool crit)
        	{
            	Projectile.NewProjectile(projectile.position.X, projectile.position.Y, Main.rand.Next(10),Main.rand.Next(10), "Vanilla:Inferno 3", projectile.damage, 1, Main.myPlayer);
        	}

		public static bool summoning = false;
		
		public override void AI()
		{
			Player owner = Main.player[projectile.owner];
			if (owner == null || !owner.active || owner.dead) 
			{
				projectile.Kill(); 
				return; 
			}
			if (Main.myPlayer == owner.whoAmI) 
			{
				int id = owner.HasBuff("CribMod:BloodApparition");
				if(id == -1)
				{ 
					projectile.Kill();
					return; 
				} 
			}
                }
					
		public override void OnSpawn()
    		{
        		projectile.netImportant = true;
    		}

    		public override bool PreKill()
    		{
    		    return !summoning;
    		}
	}
}