using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace CribMod.Projectiles
{
	public class JunkChomper : ModProjectile
	{
		public static bool summoning = false;
		
		public override void AI()
		{
			Player owner = Main.player[projectile.owner];
			if (owner == null || !owner.active || owner.dead) 
			{
				projectile.Kill(); 
				return; 
			}
			if (Main.myPlayer == owner.whoAmI) 
			{
				int id = owner.HasBuff("CribMod:JunkChomper");
				if(id == -1)
				{ 
					projectile.Kill();
					return; 
				} 
			}
                }
					
		public override void OnSpawn()
    		{
        		projectile.netImportant = true;
    		}

    		public override bool PreKill()
    		{
    		    	return !summoning;
    		}

		public override void DamageNPC(NPC npc, int hitDir, ref int damage, ref float knockback, ref bool crit, ref float critMult)
        	{
           		damage += npc.defense/2; 
        	}
	}
}